Ticket #4270 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

管理画面:PNEIDモード時にアカウントIDがCSV出力できない

Reported by: shingo Assigned to: kudo
Priority: major Milestone: OpenPNE2.14.2
Component: pne-admin Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.15 Cc:

Description (Last modified by imamura623)

■現象

「管理画面TOP > メンバー管理:CSVダウンロード」ページにてメンバー情報をCSV形式で出力できるが、PNEIDモード運用時には出力項目に「ログインID」が出力できない。

■原因

メンバー情報のCSVダウンロード機能が、PNEIDモードに対応していない

■修正内容

OPENPNE_AUTH_MODE が pneid の時、「ログインID」を、既存フィールド「メンバーID」、「ニックネーム」の間に追加し出力するようにする

OPENPNE_AUTH_MODE が slavepne の時も「ログインID」を出力するようにしました

■関連情報

#4344

Change History

08/21/09 12:42:26 changed by shingo

  • milestone deleted.

08/21/09 12:43:05 changed by shingo

  • keywords changed from OpenPNE2.12.14 to OpenPNE2.12.15.
  • milestone set to OpenPNE2.12.15.

08/27/09 11:27:29 changed by shingo

  • type changed from enhancement to defect.
  • description changed.
  • summary changed from 管理画面:PNEIDモード時にはアカウントIDもCSV出力したい to 管理画面:PNEIDモード時にアカウントIDがCSV出力できない.

08/27/09 11:48:21 changed by kiwa

  • milestone set to OpenPNE2.14.2.

09/09/09 15:17:06 changed by kudo

  • owner changed from nobody to kudo.
  • status changed from new to assigned.

09/09/09 16:07:15 changed by kudo

  • keywords changed from OpenPNE2.12.15 to OpenPNE2.12.15 確認中.

修正しました。

確認お願いします。

10/14/09 17:37:21 changed by kudo

r12989,r12990,r12991にてslavepneのときにもアカウントIDを出力するように修正しました。

10/14/09 18:42:58 changed by imamura623

動作テストしました。問題ありません。

10/15/09 11:56:56 changed by shingo

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。 チケットを閉じます。

10/15/09 11:58:19 changed by shingo

  • keywords changed from OpenPNE2.12.15 to OpenPNE2.12.15 差し戻し.
  • status changed from closed to reopened.
  • resolution deleted.

要修正箇所がありました。

  • 「if (」にしてください
    85	            if(OPENPNE_AUTH_MODE == 'pneid' || OPENPNE_AUTH_MODE == 'slavepne') { 
    

10/15/09 12:05:47 changed by shingo

  • description changed.

このチケットで、CSVダウンロード機能がSlavePNEモードに対応されたが、CSVインポート機能では対応していない。テチケットを作りました。

10/15/09 12:06:34 changed by shingo

CSVダウンロード機能がSlavePNEモードに対応された旨をDescriptionに追記してください。

10/15/09 14:28:40 changed by imamura623

  • keywords changed from OpenPNE2.12.15 差し戻し to OpenPNE2.12.15 確認中.
  • description changed.

10/15/09 14:37:08 changed by ogawa

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 差し戻し.

追加で、#4248 の確認中に発見しましたが、stable-2.14.x のみ 142 行目で if の条件式の中でスペースが2つ連続している箇所があったので修正してください。

それと comment:10 について修正されていません。

10/15/09 15:01:40 changed by imamura623

  • keywords changed from OpenPNE2.12.15 差し戻し to OpenPNE2.12.15 確認中.

不要な空白の削除と必要な空白の追加しました

  • r12994でStable-2.14.xにコミット
  • r12995でtrunkにコミット

10/15/09 18:22:57 changed by shingo

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15.
  • status changed from reopened to closed.
  • resolution set to fixed.

確認しました テストは終わっているようなので閉じます